function [ EEG ] = shiftingPburg( signal,frequency,windowEEG,shift,order,minEEGFreq,maxEEGFreq)
%shiftingPburg uses pburg to calculate the power spectrum
    signalShift=frequency*shift;
    signalWindow=frequency*windowEEG;
    shiftProp=windowEEG/shift;
    noOfWindows=fix(floor(size(signal,1)/signalWindow-1)*shiftProp+1);
    EEG=zeros([noOfWindows,fix(maxEEGFreq-minEEGFreq+1)]);
    for j=1:noOfWindows
        [EEG(j,:),~]=pburg(signal((j-1)*signalShift+1:(j-1)*signalShift+signalWindow),order,minEEGFreq:maxEEGFreq,frequency);
    end
end

